Get User Bundle by Id
Retrieves a user bundle by its ID.
GET
/
bundle_pricing
/
user_bundles
/
{user_bundle_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const userBundle = await client.bundlePricing.userBundles.retrieve(
'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
);
console.log(userBundle.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
user_bundle = client.bundle_pricing.user_bundles.retrieve(
user_bundle_id="ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
)
print(user_bundle.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
userBundle, err := client.BundlePricing.UserBundles.Get(
context.TODO(),
"ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
telnyx.BundlePricingUserBundleGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", userBundle.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleRetrieveParams;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UserBundleRetrieveResponse userBundle = client.bundlePricing().userBundles().retrieve("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
user_bundle = telnyx.bundle_pricing.user_bundles.retrieve("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a")
puts(user_bundle)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$userBundle = $client->bundlePricing->userBundles->retrieve(
'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
authorizationBearer: 'authorization_bearer',
);
var_dump($userBundle);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx bundle-pricing:user-bundles retrieve \
--api-key 'My API Key' \
--user-bundle-id ca1d2263-d1f1-43ac-ba53-248e7a4bb26acurl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/user_bundles/{user_bundle_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
"active": true,
"user_id": "16856d8c-cd59-4b08-9ac2-1ebb01d419e1",
"created_at": "2025-01-20",
"billing_bundle": {
"id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
"name": "Australia Basic",
"cost_code": "BUNDLE-PRICING-BASIC-MRC",
"is_public": true,
"created_at": "2023-12-25",
"slug": "basic-au-e4f8",
"mrc_price": 2,
"currency": "USD",
"specs": [
"1 AU Number",
"Emergency Calling",
"All inbound and outbound calling billed pay-as-you-go"
]
},
"resources": [],
"updated_at": "2025-01-20"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Format: Bearer Authenticates the request with your Telnyx API V2 KEY
Path Parameters
Unique identifier of the user bundle. User bundle's ID, this is used to identify the user bundle in the API.
Example:
"ca1d2263-d1f1-43ac-ba53-248e7a4bb26a"
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const userBundle = await client.bundlePricing.userBundles.retrieve(
'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
);
console.log(userBundle.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
user_bundle = client.bundle_pricing.user_bundles.retrieve(
user_bundle_id="ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
)
print(user_bundle.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
userBundle, err := client.BundlePricing.UserBundles.Get(
context.TODO(),
"ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
telnyx.BundlePricingUserBundleGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", userBundle.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleRetrieveParams;
import com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UserBundleRetrieveResponse userBundle = client.bundlePricing().userBundles().retrieve("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
user_bundle = telnyx.bundle_pricing.user_bundles.retrieve("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a")
puts(user_bundle)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$userBundle = $client->bundlePricing->userBundles->retrieve(
'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
authorizationBearer: 'authorization_bearer',
);
var_dump($userBundle);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx bundle-pricing:user-bundles retrieve \
--api-key 'My API Key' \
--user-bundle-id ca1d2263-d1f1-43ac-ba53-248e7a4bb26acurl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/user_bundles/{user_bundle_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
"active": true,
"user_id": "16856d8c-cd59-4b08-9ac2-1ebb01d419e1",
"created_at": "2025-01-20",
"billing_bundle": {
"id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
"name": "Australia Basic",
"cost_code": "BUNDLE-PRICING-BASIC-MRC",
"is_public": true,
"created_at": "2023-12-25",
"slug": "basic-au-e4f8",
"mrc_price": 2,
"currency": "USD",
"specs": [
"1 AU Number",
"Emergency Calling",
"All inbound and outbound calling billed pay-as-you-go"
]
},
"resources": [],
"updated_at": "2025-01-20"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}